org.jfree.report.modules.gui.swing.common

## Interface ExportActionPlugin

- All Superinterfaces:
    ActionPlugin
  All Known Implementing Classes:
    AbstractExportActionPlugin, HtmlFileExportActionPlugin, HtmlZipExportActionPlugin, PdfExportActionPlugin, PrintActionPlugin

      public interface ExportActionPlugin
      extends ActionPlugin

  An export plug-in is a class that can work with the `ExportAction` class to implement an export function for reports.
  Author:
    Thomas Morgner.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `performExport(ReportJob job)` Exports a report.

    - ### Methods inherited from interface org.jfree.report.modules.gui.swing.common.ActionPlugin

      `addPropertyChangeListener, addPropertyChangeListener, getAcceleratorKey, getDisplayName, getLargeIcon, getMenuOrder, getMnemonicKey, getRole, getRolePreference, getShortDescription, getSmallIcon, getToolbarOrder, initialize, isAddToMenu, isAddToToolbar, isSeparated, removePropertyChangeListener`

- - ### Method Detail

    - #### performExport

          boolean performExport(ReportJob job)

      Exports a report.
      Parameters:
        `report` - the report.
      Returns:
        A boolean.